glibc-core-2.27-alt8.x86_64.rpm


Advertisement

Description

glibc-core - The GNU libc core libraries and utilities

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package filename glibc-core-2.27-alt8.x86_64.rpm
Package name glibc-core
Package version 2.27
Package release alt8
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage -
License -
Maintainer -
Download size 4.67 MB
Installed size 4.67 MB
This package contains most essential GNU libc libraries and files,
including dynamic linker and its configurator, standard C library and
the standard math library.  Without these files a GNU/Linux system will
not function.

Alternatives

Package Version Architecture Repository
glibc-core-2.27-alt8.i586.rpm 2.27 i586 Classic
glibc-core - - -

Requires

Name Value
glibc-preinstall >= 6:2.27-alt8
rpmlib(PayloadIsLzma) -
setup -

Provides

Name Value
.sisyphus.219011.100.3.1-glibc-core-6:2.27-alt8 -
glibc-core = 6:2.27-alt8
ld-linux-x86-64.so.2()(64bit) -
ld-linux-x86-64.so.2(GLIBC_2.2.5)(64bit) -
ld-linux-x86-64.so.2(GLIBC_2.3)(64bit) -
ld-linux-x86-64.so.2(GLIBC_2.4)(64bit) -
ldconfig -
libBrokenLocale.so.1()(64bit) -
libBrokenLocale.so.1(GLIBC_2.2.5)(64bit) -
libc.so.6()(64bit) -
libc.so.6(ALT_2.24)(64bit) -
libc.so.6(GLIBC_2.10)(64bit) -
libc.so.6(GLIBC_2.11)(64bit) -
libc.so.6(GLIBC_2.12)(64bit) -
libc.so.6(GLIBC_2.13)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.15)(64bit) -
libc.so.6(GLIBC_2.16)(64bit) -
libc.so.6(GLIBC_2.17)(64bit) -
libc.so.6(GLIBC_2.18)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.2.6)(64bit) -
libc.so.6(GLIBC_2.22)(64bit) -
libc.so.6(GLIBC_2.23)(64bit) -
libc.so.6(GLIBC_2.24)(64bit) -
libc.so.6(GLIBC_2.25)(64bit) -
libc.so.6(GLIBC_2.26)(64bit) -
libc.so.6(GLIBC_2.27)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.2)(64bit) -
libc.so.6(GLIBC_2.3.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libc.so.6(GLIBC_2.5)(64bit) -
libc.so.6(GLIBC_2.6)(64bit) -
libc.so.6(GLIBC_2.7)(64bit) -
libc.so.6(GLIBC_2.8)(64bit) -
libc.so.6(GLIBC_2.9)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libdl.so.2(GLIBC_2.3.3)(64bit) -
libdl.so.2(GLIBC_2.3.4)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.15)(64bit) -
libm.so.6(GLIBC_2.18)(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libm.so.6(GLIBC_2.23)(64bit) -
libm.so.6(GLIBC_2.24)(64bit) -
libm.so.6(GLIBC_2.25)(64bit) -
libm.so.6(GLIBC_2.26)(64bit) -
libm.so.6(GLIBC_2.27)(64bit) -
libm.so.6(GLIBC_2.4)(64bit) -
libmvec.so.1()(64bit) -
libmvec.so.1(GLIBC_2.22)(64bit) -
libnss_files.so.2()(64bit) -
libresolv.so.2()(64bit) -
libresolv.so.2(GLIBC_2.2.5)(64bit) -
libresolv.so.2(GLIBC_2.3.2)(64bit) -
libresolv.so.2(GLIBC_2.9)(64bit) -
libutil.so.1()(64bit) -
libutil.so.1(GLIBC_2.2.5)(64bit) -
linuxthreads -
rtld(GNU_HASH) -
rtld(GNU_IFUNC) -
rtld(GNU_UNIQUE) -

Conflicts

Name Value
glibc < 6:2.27-alt8
glibc-core-archopt -

Obsoletes

Name Value
ldconfig -
linuxthreads -

Download

Type URL
Mirror ftp.altlinux.org
Binary Package glibc-core-2.27-alt8.x86_64.rpm
Source Package glibc-2.27-alt8.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install glibc-core rpm package:
    # sudo apt-get install glibc-core

Files

Path
/etc/bindresvport.blacklist
/etc/gai.conf
/etc/ld.so.cache
/etc/ld.so.conf
/etc/ld.so.conf.d
/etc/localtime
/etc/nss.conf
/etc/nsswitch.conf
/etc/rpc
/lib64/ld-2.27.so
/lib64/ld-linux-x86-64.so.2
/lib64/libBrokenLocale-2.27.so
/lib64/libBrokenLocale.so.1
/lib64/libc-2.27.so
/lib64/libc.so.6
/lib64/libdl-2.27.so
/lib64/libdl.so.2
/lib64/libm-2.27.so
/lib64/libm.so.6
/lib64/libmvec-2.27.so
/lib64/libmvec.so.1
/lib64/libnss_files-2.27.so
/lib64/libnss_files.so.2
/lib64/libresolv-2.27.so
/lib64/libresolv.so.2
/lib64/libutil-2.27.so
/lib64/libutil.so.1
/sbin/glibc_fix_nsswitch
/sbin/glibc_fix_post
/sbin/glibc_post_upgrade
/sbin/ldconfig
/sbin/post_ldconfig
/sbin/postun_ldconfig
/var/cache/ldconfig/aux-cache

Changelog

2019-01-06 - Dmitry V. Levin <ldv@altlinux.org> 6:2.27-alt8
- Updated to glibc-2.27-102-g68c2930a56 from 2.27 branch.
- riscv: changed slibdir, rtlddir, libdir, and LD_SO_PREFIX
(by Nikita Ermakov).
2018-11-27 - Dmitry V. Levin <ldv@altlinux.org> 6:2.27-alt7
- Updated to glibc-2.27-89-g9f433fc791 from 2.27 branch
(fixes CVE-2018-19591).
2018-06-25 - Dmitry V. Levin <ldv@altlinux.org> 6:2.27-alt6
- The password hashing library, libcrypt, is now provided
by a separate package.
2018-06-21 - Dmitry V. Levin <ldv@altlinux.org> 6:2.27-alt5
- Updated to glibc-2.27-64-gffc5623 from 2.27 branch.
- Moved libcrypt from glibc-core to a separate subpackage.
2018-05-10 - Dmitry V. Levin <ldv@altlinux.org> 6:2.27-alt4
- Updated to glibc-2.27-51-gb2dd29a from 2.27 branch.
- glibc_preinstall: rewritten as a regular statically linked executable.
2018-03-12 - Dmitry V. Levin <ldv@altlinux.org> 6:2.27-alt3
- Updated to glibc-2.27-27-gb63daad from 2.27 branch.
2018-02-19 - Dmitry V. Levin <ldv@altlinux.org> 6:2.27-alt2
- Updated to glibc-2.27-14-gb4108a3 from 2.27 branch.
- Fixed build of test suite with gcc7.
2018-02-01 - Dmitry V. Levin <ldv@altlinux.org> 6:2.27-alt1
- Updated to glibc-2.27.
- Moved legacy libnsl to a separate subpackage.
2018-01-30 - Dmitry V. Levin <ldv@altlinux.org> 6:2.26.9000.0.1248.407552c-alt1
- Updated to glibc-2.26.9000-1248-g407552c (closes: #26977).
- Switched IDNA implementation to libidn2 (by Florian Weimer;
fixes: CVE-2016-6261, CVE-2016-6263, CVE-2017-14062).
2018-01-23 - Gleb F-Malinovskiy <glebfm@altlinux.org> 6:2.26.0.131.fabef2e-alt2
- Added workaround needed to execute statically linked binaries on ovz-el
kernel flavour (ALT#34433).

See Also

Package Description
glibc-devel-2.27-alt8.x86_64.rpm Include and object files required for C development
glibc-devel-static-2.27-alt8.x86_64.rpm Static libraries for C development
glibc-gconv-modules-2.27-alt8.x86_64.rpm The GNU libc charset conversion modules
glibc-kernheaders-5.0-alt2.x86_64.rpm Linux kernel C header files for use by glibc and other userspace software
glibc-locales-2.27-alt8.x86_64.rpm The GNU libc locales
glibc-nss-2.27-alt8.x86_64.rpm The GNU libc Name Service Switch subsystem
glibc-preinstall-2.27-alt8.x86_64.rpm The GNU libc preinstall utilities
glibc-pthread-2.27-alt8.x86_64.rpm The GNU libc pthread libraries
glibc-timezones-2.27-alt8.x86_64.rpm The GNU libc timezones data
glibc-utils-2.27-alt8.x86_64.rpm The GNU libc misc utilities
gliv-1.9.7-alt1.e7b0afc.x86_64.rpm Graphics file browser utility
glmark2-0.0.0.0.834.f413c5b-alt1.x86_64.rpm an OpenGL 2.0 and ES 2.0 benchmark
glmark2-drm-0.0.0.0.834.f413c5b-alt1.x86_64.rpm an OpenGL 2.0 and ES 2.0 benchmark - DRM flavor
glmark2-es2-0.0.0.0.834.f413c5b-alt1.x86_64.rpm an OpenGL 2.0 and ES 2.0 benchmark - ES 2.0 flavour
glmark2-es2-drm-0.0.0.0.834.f413c5b-alt1.x86_64.rpm an OpenGL 2.0 and ES 2.0 benchmark - ES 2.0 DRM flavor
Advertisement
Advertisement